Key Metrics
Retrieve key financial metrics and fundamental indicators for a specific company.
Description
This endpoint returns essential financial metrics and fundamental indicators for a company. It provides a comprehensive overview of key performance indicators used for financial analysis and valuation, including profitability metrics, growth indicators, and operational efficiency measures.
Request
Authentication
- Type: Bearer Token
- Required: Yes
Parameters
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
symbol | string | Yes | Stock symbol/ticker code for the company | FDPL |
Available Metrics
| Metric | Description |
|---|---|
| Cash Payout Ratio | Measures the proportion of cash dividends paid to shareholders relative to earnings |
| Current Ratio (Times) | Liquidity ratio measuring ability to pay short-term obligations |
| Price/Book Ratio | Compares market price to book value per share |
| Price to Sales Ratio | Valuation ratio comparing stock price to revenues |
| Equity to Assets (%) | Percentage of total assets financed by shareholders' equity |
| Dividend Yield (%) | Annual dividend payment as percentage of stock price |
| Gross Profit Margin, Gross Spread Ratio (%) | Profitability measure showing gross profit as percentage of revenue |
| Book Value per Share (Rs.) | Net asset value per outstanding share |
| Return on Assets | Profitability ratio measuring earnings relative to total assets |
| Interest Cover (Times) | Ability to pay interest expenses from operating income |
| Price Earnings Ratio | Valuation ratio comparing share price to earnings per share |
| Return on Equity | Profitability ratio measuring returns generated on shareholders' equity |
| Sales | Total revenue generated from business operations |
| Long term Debt to Equity | Leverage ratio comparing long-term debt to shareholders' equity |
| Dividend per Share (Rs.) | Total dividends paid per outstanding share |
| Net Profit Margin (%) | Profitability ratio showing net income as percentage of revenue |
| Earnings per Share | Net income allocated to each outstanding share |
Response
Success Response (200)
{
"status": "ok",
"message": "",
"data": {
"periods": [
"TTM",
"2022",
"2021",
"2020",
"2019",
"2018"
],
"fundementals": [
{
"name": "Cash Payout Ratio",
"values": [
17.85714285714285,
14.749262536873156,
11.77856301531213,
0,
27.247956403269757,
21.07089737233515
]
},
{
"name": "Current Ratio (Times)",
"values": [
0.8802181241805135,
0.8855287714771005,
0.9145250886450901,
0.9065010107707908,
0.9817855271163194,
1.2892021985534377
]
},
{
"name": "Price/Book Ratio",
"values": [
0.3806485125962435,
0.3918580623999373,
0.7034200386263197,
0.5606311090879882,
0.3496474351142823,
0.6503515316573484
]
},
{
"name": "Price to Sales Ratio",
"values": [
0.4390857830892111,
0.47202185658113727,
1.145831415083322,
0.9823749333119208,
0.612094407935315,
1.6357046028199667
]
},
{
"name": "Equity to Assets (%)",
"values": [
50.66862035852465,
51.19879274187325,
53.28549581569478,
51.44219828381191,
56.31857428959535,
63.28250313151676
]
},
{
"name": "Dividend Yield (%)",
"values": [
1.6496205872649292,
1.6,
0.8480325644504748,
0,
1.7686593562079942,
3.71211459516115
]
},
{
"name": "Gross Profit Margin, Gross Spread Ratio (%)",
"values": [
17.200411957359332,
17.96626113599641,
17.894713739497632,
4.169802091461117,
13.235189839207584,
28.49908381349054
]
},
{
"name": "Book Value per Share (Rs.)",
"values": [
159.25453008219174,
159.496526924107,
167.638101738303,
152.20346965549479,
161.7057479100909,
176.04325418936892
]
},
{
"name": "Return on Assets",
"values": [
1.7889653914324721,
2.16582935793408,
2.782819549249883,
-1.6898007745097976,
1.2990809256596492,
7.67618787805469
]
},
{
"name": "Interest Cover (Times)",
"values": [
2.2246625317743676,
2.6856470971696527,
2.6335533016647408,
0.19278806417658403,
1.6025361807837653,
15.193233923973601
]
},
{
"name": "Price Earnings Ratio",
"values": [
10.824999999999998,
9.218289085545722,
13.889281507656065,
-17.308316430020284,
15.40599455040872,
5.676251859196826
]
},
{
"name": "Return on Equity",
"values": [
3.5163834881870084,
4.25087626091452,
5.064481112565684,
-3.2390851609091555,
2.2695544514846415,
11.457411471332623
]
},
{
"name": "Sales",
"values": [
60476162,
58043863,
45107690,
38033124,
40516525,
30668428
]
},
{
"name": "Long term Debt to Equity",
"values": [
19.276611915514344,
20.26403548540262,
26.266497942856894,
32.969131862527725,
22.53684930080561,
22.986267051904104
]
},
{
"name": "Dividend per Share (Rs.)",
"values": [
1,
1,
1,
0,
1,
4.25
]
},
{
"name": "Net Profit Margin (%)",
"values": [
4.056219705212113,
5.120493100192177,
8.249752980035112,
-5.6757393896962025,
3.9730924604220133,
28.81663187953422
]
},
{
"name": "Earnings per Share",
"values": [
5.600000000000001,
6.78,
8.49,
-4.93,
3.67,
20.17
]
}
]
}
}
Error Responses
For detailed Common Error responses, see the Error Handling.
Missing Symbol (200)
{
"status": "error",
"message": "internal error",
}
Response Fields
| Field | Type | Description |
|---|---|---|
periods | array | Array of fiscal periods/years |
fundementals | array | Array of financial metrics View |
Fundementals Array Fields
| Field | Type | Description |
|---|---|---|
name | string | Name of the financial metric/ratio |
values | array | Array of metric values corresponding to each period |
Examples
Get Key Metrics
curl -X GET "https://csapis.com/3.0/financials/fundamentals?symbol=FDPL" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json"
Use Cases
-
Equity Research & Analysis: Analyze company financial health through key ratios like Return on Equity (ROE), Return on Assets (ROA), and equity-to-assets ratios to make informed investment decisions.
-
Financial Modeling: Extract historical financial metrics across multiple years to build financial models, trend analysis, and forecasting models for valuation.
-
Fundamental Screening: Filter and compare companies based on financial metrics such as debt ratios, profitability margins, and asset efficiency to identify investment opportunities.
-
Portfolio Analysis: Monitor the fundamental health of portfolio holdings by tracking changes in key metrics over time and identifying potential risks or opportunities.
-
Comparative Analysis: Compare financial metrics across multiple companies in the same sector to benchmark performance and identify market leaders.
-
Risk Assessment: Evaluate leverage ratios (debt-to-equity) and asset efficiency metrics to assess financial stability and operational risk of companies.